
ISTI Open Access - Feature #11636

Make Open Portal OpenAIRE compliant

Apr 13, 2018 10:16 AM - Leonardo Candela

Status: Completed Start date: Oct 28, 2020

Priority: High Due date:  

Assignee: Michele Artini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: ISTI Open Portal Tasks   

Description

The content aggregated by ISTI Open Portal should be exposed by OAI-PMH in a format compliant with OpenAIRE guidelines   

Subtasks:

Feature # 20033: Reconsider ISTI OpenPortal OAI-PMH responses Completed

Feature # 20053: Register ISTI Open Portal in OpenAIRE Completed

History

#1 - May 10, 2019 11:05 AM - Leonardo Candela

- Blocks Feature #11637: Register ISTI Open Portal in OA directories  added

#2 - May 10, 2019 11:17 AM - Leonardo Candela

- Subject changed from Cater for OpenAIRE harvesting  to Make Open Portal OpenAIRE compliant

#3 - Sep 30, 2020 10:46 AM - Leonardo Candela

- Status changed from New to In Progress

- % Done changed from 0 to 50

The container hosting the OAI Exporter is currently visible only to the intranet (part of it), it responds to calls like the following 

https://dnet-openportal.isti.cnr.it/is/mvc/oai/oai.doverb=ListRecords&set=ISTI&metadataPrefix=oai_dc

In order to make it really working as expected we should open the exporter service and make it available on the web. 

I would suggest using the following base url 

https://openportal.isti.cnr.it/oai

Thus the service should be capable to serve requests like 

https://openportal.isti.cnr.it/oai?verb=Identify 

I kindly ask @andrea.dellamico@isti.cnr.it to liaise with @michele.artini@isti.cnr.it to set up a proper OAI-PMH service. 

#4 - Oct 27, 2020 11:03 AM - Leonardo Candela

- Assignee changed from Michele Artini to Andrea Dell'Amico

I'm temporarily assigning the ticket to @andrea.dellamico@isti.cnr.it to unveil and beautify the URL for reaching the OAI-PMH service, i.e. 

the https://dnet-openportal.isti.cnr.it/is/mvc/oai/oai.do should be reachable by https://openportal.isti.cnr.it/oai

#5 - Oct 27, 2020 07:16 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- Assignee changed from Andrea Dell'Amico to Michele Artini

I enabled the redirection, but I do not have a valid test URL to check that it works correctly

#6 - Oct 28, 2020 08:33 AM - Michele Artini

- Status changed from Feedback to Completed
https://dnet-openportal.isti.cnr.it/is/mvc/oai/oai.doverb=ListRecords&set=ISTI&metadataPrefix=oai_dc
https://openportal.isti.cnr.it/oai
https://openportal.isti.cnr.it/oai?verb=Identify
https://dnet-openportal.isti.cnr.it/is/mvc/oai/oai.do
https://openportal.isti.cnr.it/oai


The redirection works perfectly, the url for harvesting ISTI records is

https://openportal.isti.cnr.it/oai?verb=ListRecords&metadataPrefix=oai_dc&set=ISTI

#7 - Oct 28, 2020 11:48 AM - Anonymous

- Status changed from Completed to In Progress

- % Done changed from 50 to 70

Thanks for this ... now that I can see the OAI-PMH responses I have some requests for changes. I'm going to open specific sub tickets for this.

#8 - Nov 02, 2020 05:43 PM - Leonardo Candela

- Blocks deleted (Feature #11637: Register ISTI Open Portal in OA directories )

#9 - Dec 08, 2020 08:08 PM - Leonardo Candela

- Status changed from In Progress to Completed

ISTI Open Portal content is contributing to OpenAIRE
